# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "ascon-aead"
version = "0.6.0-pre.4"
authors = ["Sebastian Ramacher <sebastian.ramacher@ait.ac.at>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Implementation of the authenticated encryption schemes Ascon-AEAD128"
documentation = "https://docs.rs/ascon-aead"
readme = "README.md"
keywords = [
    "AEAD",
    "ascon",
    "encryption",
]
categories = [
    "cryptography",
    "no-std",
]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/sebastinas/ascon-aead/tree/main/ascon-aead"

[package.metadata.docs.rs]
all-features = true

[features]
alloc = ["aead/alloc"]
arrayvec = ["aead/arrayvec"]
bytes = ["aead/bytes"]
default = [
    "std",
    "rand_core",
    "dep:zeroize",
]
getrandom = ["aead/getrandom"]
rand_core = ["aead/rand_core"]
std = ["alloc"]
zeroize = ["ascon-core/zeroize"]

[lib]
name = "ascon_aead"
path = "src/lib.rs"

[[test]]
name = "kats_test"
path = "tests/kats_test.rs"

[dependencies.aead]
version = "0.6.0-rc.10"
default-features = false

[dependencies.ascon-core]
version = "0.5"
default-features = false

[dependencies.inout]
version = "0.2"
default-features = false

[dependencies.subtle]
version = "2"
default-features = false

[dependencies.zeroize]
version = "1.5"
features = ["derive"]
optional = true
default-features = false

[dev-dependencies.aead]
version = "0.6.0-rc.10"
features = ["alloc"]

[dev-dependencies.hex]
version = "0.4"

[dev-dependencies.spectral]
version = "0.6"
default-features = false
